Index: broadcom-sta-6.30.223.248/amd64/src/wl/sys/wl_linux.c
===================================================================
--- broadcom-sta-6.30.223.248.orig/amd64/src/wl/sys/wl_linux.c	2014-08-11 08:37:08.683128912 +0400
+++ broadcom-sta-6.30.223.248/amd64/src/wl/sys/wl_linux.c	2014-08-11 08:37:08.679128912 +0400
@@ -217,7 +217,7 @@
 #define to_str(s) #s
 #define quote_str(s) to_str(s)
 
-#define BRCM_WLAN_IFNAME eth%d
+#define BRCM_WLAN_IFNAME wlan%d
 
 static char intf_name[IFNAMSIZ] = quote_str(BRCM_WLAN_IFNAME);
 
Index: broadcom-sta-6.30.223.248/README.txt
===================================================================
--- broadcom-sta-6.30.223.248.orig/README.txt	2014-08-11 08:37:08.683128912 +0400
+++ broadcom-sta-6.30.223.248/README.txt	2014-08-11 08:37:08.679128912 +0400
@@ -279,7 +279,7 @@
 
 TX POWER EXPLAINED
 ------------------
-'iwconfig eth1 txpower' & 'iwlist eth1 txpower' set and get the drivers 
+'iwconfig wlan0 txpower' & 'iwlist wlan0 txpower' set and get the drivers 
 user-requested transmit power level. This can go up to 32 dbm and allows
 the user to lower the tx power to levels below the regulatory limit.
 Internally, the actual tx power is always kept within regulatory limits
@@ -353,7 +353,7 @@
 + Supports up to linux kernel 2.6.32
 + Supports hidden networks
 + Supports rfkill in kernels < 2.6.31
-+ Setting power level via 'iwconfig eth1 txpower X' now operational
++ Setting power level via 'iwconfig wlan0 txpower X' now operational
 + Support for bcm4313
 + Additional channels in both 2.4 and 5 Ghz bands
 + Fixed issue with tkip group keys that caused this message to repeat often:
@@ -392,14 +392,14 @@
 
 wpa_supplicant 0.6.3 + nl80211 + WEP - (Note: This would only affect you if 
 you are using wpa_supplicant directly from the command line and specify 
-nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -ieth1 ..". If you are using
+nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -iwlan0 ..". If you are using
 network manager GUI to connect it should work file.)
 wpa_supplicant 0.6.3 might have a bug that affect WEP connections created 
 through nl80211. Upgrade to wpa_supplicant to 0.7.3 would solve this problem.
 
 Ubuntu 10.10 kernel + nl80211 + WPA/WPA2 - (Note: This would only affect you if 
 you are using wpa_supplicant directly from the command line and specify 
-nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -ieth1 ..". If you are using
+nl80211 interface, e.g. "wpa_supplicant -Dnl80211 -iwlan0 ..". If you are using
 network manager GUI to connect it should work file.)
 Some kernel versions of Ubuntu such as 2.6.35-22 (released with Ubuntu 
 10.10) may have problems that affect WPA/WPA2 connections created through 
